const SQLModel = require("./sql")
const db = require("../database");

class Table extends SQLModel {
    constructor() {
        super("tables");
    }
    async findAllJoinTypes() {
        let query = `SELECT tt.id AS type_id,tt.*,tb.* FROM ${this.tableName} AS tb JOIN table_types AS tt ON tb.table_type = tt.id WHERE 1`;
    
        const [result] = await db.mysql.query(query);
        if (!result || result.length == 0) return null;
        return result;
    }
    async findOneJoinTypesByID(id) {
        let query = `SELECT tt.id AS type_id,tb.* FROM ${this.tableName} AS tb JOIN table_types AS tt ON tb.table_type = tt.id WHERE tb.id = ?`;
    
        const [result] = await db.mysql.query(query,[id]);
        if (!result || result.length == 0) return null;
        return result[0];
    }
};

module.exports = Table;